## org.eclipse.emf.edit.provider
Interface ITableItemColorProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, DelegatingWrapperItemProvider, FeatureMapEntryWrapperItemProvider, ItemPropertyDescriptor.ItemDelegator

    public interface ITableItemColorProvider

This is the interface needed to provide color for items in a TableViewer. This interface is similar to `IItemColorProvider`, but this will pass additional information, namely the column index.

Method Summary
`java.lang.Object` `getBackground(java.lang.Object object, int columnIndex)` This does the same thing as ITableColorProvider.getBackground.
`java.lang.Object` `getForeground(java.lang.Object object, int columnIndex)` This does the same thing as ITableColorProvider.getForeground.

Method Detail

### getForeground

    java.lang.Object getForeground(java.lang.Object object,
                                   int columnIndex)

  This does the same thing as ITableColorProvider.getForeground.

### getBackground

    java.lang.Object getBackground(java.lang.Object object,
                                   int columnIndex)

  This does the same thing as ITableColorProvider.getBackground.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.